## ppx-deriving-yojson 3.1

=== Makefile ===
build:
	cp pkg/META.in pkg/META
	ocaml pkg/build.ml native=true native-dynlink=true

test: build
	rm -rf _build/src_test/
	ocamlbuild -j 0 -use-ocamlfind -classic-display \
						 src_test/test_ppx_yojson.byte --

doc:
	ocamlbuild -use-ocamlfind doc/api.docdir/index.html \
						 -docflags -t -docflag "API reference for ppx_deriving_yojson" \
						 -docflags '-colorize-code -short-functors -charset utf-8' \
						 -docflags '-css-style style.css'
	cp doc/style.css api.docdir/

clean:
	ocamlbuild -clean

.PHONY: build test doc clean

gh-pages: doc
	git clone `git config --get remote.origin.url` .gh-pages --reference .
	git -C .gh-pages checkout --orphan gh-pages
	git -C .gh-pages reset
	git -C .gh-pages clean -dxf
	cp -t .gh-pages/ api.docdir/*
	git -C .gh-pages add .
	git -C .gh-pages commit -m "Update Pages"
	git -C .gh-pages push origin gh-pages -f
	rm -rf .gh-pages

VERSION      := $$(opam query --version)
NAME_VERSION := $$(opam query --name-version)
ARCHIVE      := $$(opam query --archive)

release:
	git tag -a v$(VERSION) -m "Version $(VERSION)."
	git push origin v$(VERSION)
	opam publish prepare $(NAME_VERSION) $(ARCHIVE)
	opam publish submit $(NAME_VERSION)
	rm -rf $(NAME_VERSION)

.PHONY: gh-pages release

=== debian/changelog ===
ppx-deriving-yojson (3.1-4) unstable; urgency=medium

  * Standards-Version 4.3.0
    - debian/copyright: use https in format header
  * Debhelper compatibility level 12
    - override dh_dwz to use --no-dwz-multifile
  * Suggests: ocaml-findlib since package contains a META file

 -- Ralf Treinen <treinen@debian.org>  Tue, 08 Jan 2019 19:55:38 +0100

ppx-deriving-yojson (3.1-3) unstable; urgency=medium

  * autopkgtest: depends on ocamlbuild
  * compilation on bytecode architectures:
    - add patch makefile-bytecode
    - adapt install target in debian/rules

 -- Ralf Treinen <treinen@debian.org>  Thu, 12 Jul 2018 19:30:59 +0200

ppx-deriving-yojson (3.1-2) unstable; urgency=medium

  * Add debian/gbp.conf
  * Update Vcs-{Git,Browser} to salsa
  * Standards-Version 4.1.5 (no change)

 -- Ralf Treinen <treinen@debian.org>  Wed, 11 Jul 2018 20:49:09 +0200

ppx-deriving-yojson (3.1-1) unstable; urgency=low

  * Initial upload (closes: #864335)

 -- Ralf Treinen <treinen@debian.org>  Wed, 28 Mar 2018 21:56:16 +0200

=== debian/control ===
Source: ppx-deriving-yojson
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Ralf Treinen <treinen@debian.org>,
Build-Depends: debhelper (>= 12), dh-ocaml,
 ocaml-nox (>= 4.02), libfindlib-ocaml, cppo, ocamlbuild,
 libppx-deriving-ocaml-dev (>= 4.0)
Standards-Version: 4.3.0
Homepage: https://github.com/whitequark/ppx_deriving_yojson
Vcs-Browser: https://salsa.debian.org/ocaml-team/ppx-deriving-yojson
Vcs-Git: https://salsa.debian.org/ocaml-team/ppx-deriving-yojson.git

Package: libppx-deriving-yojson-ocaml-dev
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Suggests: ocaml-findlib
Description: OCaml syntax extension for JSON serialization
 Ppx-deriving-yojson is a syntax extension for the OCaml programming
 language. It allows you to annotate your type definitions, such that
 functions for serialization to JSON, and for deserialization from
 JSON, are automatically derived.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk
ODESTDIR = $(CURDIR)/debian/libppx-deriving-yojson-ocaml-dev/usr/lib/ocaml
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
	FILES := pkg/META _build/src/*.a _build/src/*.c* _build/src/*.mli
else
	FILES := pkg/META _build/src/*.c* _build/src/*.mli
endif

%:
	dh $@ --with ocaml

override_dh_auto_install:
	mkdir -p $(ODESTDIR)
	ocamlfind install -destdir $(ODESTDIR) ppx_deriving_yojson $(FILES)

override_dh_auto_test:
	# do nothing

override_dh_dwz:
	dh_dwz --no-dwz-multifile

=== debian/tests/control ===
Tests: expr
Depends: @, ocaml-nox, libfindlib-ocaml, libyojson-ocaml-dev, ocamlbuild

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
	 https://github.com/whitequark/ppx_deriving_yojson.git \
         refs/tags/v([\d.]+)

## ppx-deriving-yojson 3.5.1

=== debian/changelog ===
ppx-deriving-yojson (3.5.1-2build2) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:34:28 +0000

ppx-deriving-yojson (3.5.1-2build1) eoan; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Sep 2019 19:01:31 +0200

ppx-deriving-yojson (3.5.1-2) unstable; urgency=medium

  * Reduce size of a test too slow on bytecode

 -- Stéphane Glondu <glondu@debian.org>  Wed, 11 Sep 2019 15:04:02 +0200

ppx-deriving-yojson (3.5.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.4.0

 -- Stéphane Glondu <glondu@debian.org>  Tue, 10 Sep 2019 09:26:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,21 @@
 Source: ppx-deriving-yojson
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Ralf Treinen <treinen@debian.org>,
-Build-Depends: debhelper (>= 12), dh-ocaml,
- ocaml-nox (>= 4.02), libfindlib-ocaml, cppo, ocamlbuild,
+Build-Depends:
+ debhelper (>= 12),
+ dh-ocaml,
+ ocaml-nox (>= 4.02),
+ libfindlib-ocaml,
+ cppo,
+ ocaml-dune,
+ ppxfind,
+ libyojson-ocaml-dev,
+ libounit-ocaml-dev,
  libppx-deriving-ocaml-dev (>= 4.0)
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/whitequark/ppx_deriving_yojson
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ppx-deriving-yojson
 Vcs-Git: https://salsa.debian.org/ocaml-team/ppx-deriving-yojson.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

DESTDIR = $(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p ppx_deriving_yojson --verbose

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR) --verbose
	rm -f $(DESTDIR)/usr/doc/ppx_deriving_yojson/LICENSE.txt

override_dh_auto_test:
	dune runtest -p ppx_deriving_yojson --verbose

override_dh_missing:
	dh_missing --fail-missing

## ppx-deriving-yojson 3.5.3

=== debian/changelog ===
ppx-deriving-yojson (3.5.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Thu, 06 Aug 2020 09:28:29 +0200

ppx-deriving-yojson (3.5.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Sun, 26 Jul 2020 08:41:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: ppx-deriving-yojson
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Ralf Treinen <treinen@debian.org>,
 Build-Depends:
- debhelper (>= 12),
+ debhelper-compat (= 13),
  dh-ocaml,
- ocaml-nox (>= 4.02),
+ ocaml-nox,
  libfindlib-ocaml,
  cppo,
  ocaml-dune,
  ppxfind,
  libyojson-ocaml-dev,
  libounit-ocaml-dev,
- libppx-deriving-ocaml-dev (>= 4.0)
-Standards-Version: 4.4.0
+ libppx-deriving-ocaml-dev (>= 4.5)
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/whitequark/ppx_deriving_yojson
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ppx-deriving-yojson
 Vcs-Git: https://salsa.debian.org/ocaml-team/ppx-deriving-yojson.git

=== debian/rules ===
--- 
+++ 
@@ -17,5 +17,4 @@
 override_dh_auto_test:
 	dune runtest -p ppx_deriving_yojson --verbose
 
-override_dh_missing:
-	dh_missing --fail-missing
+override_dh_dwz:

## ppx-deriving-yojson 3.6.1

=== debian/changelog ===
ppx-deriving-yojson (3.6.1-2build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Jan 2022 11:17:01 +0100

ppx-deriving-yojson (3.6.1-2) unstable; urgency=medium

  * Remove ppxfind from Build-Depends (unused)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 27 Dec 2021 07:26:36 +0100

ppx-deriving-yojson (3.6.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 3.6.0
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Sun, 21 Nov 2021 14:10:12 +0100

=== debian/rules ===
--- 
+++ 
@@ -16,5 +16,3 @@
 
 override_dh_auto_test:
 	dune runtest -p ppx_deriving_yojson --verbose
-
-override_dh_dwz:

=== debian/watch ===
version=4
https://github.com/ocaml-ppx/ppx_deriving_yojson/releases .*ppx_deriving_yojson-v?([0-9.]+)\.tbz

## ppx-deriving-yojson 3.7.0

=== debian/changelog ===
ppx-deriving-yojson (3.7.0-4build2) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 17 Feb 2024 01:20:12 +0100

ppx-deriving-yojson (3.7.0-4build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 04 Nov 2023 16:06:30 +0100

ppx-deriving-yojson (3.7.0-4) unstable; urgency=medium

  * Team upload
  * Depend on ocaml instead of transitional ocaml-nox
  * Mark <!nocheck> build-dependencies

 -- Stéphane Glondu <glondu@debian.org>  Sun, 10 Sep 2023 05:52:43 +0200

ppx-deriving-yojson (3.7.0-3) unstable; urgency=medium

  * Team upload
  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Sun, 06 Aug 2023 08:13:20 +0200

ppx-deriving-yojson (3.7.0-2) unstable; urgency=medium

  * Team upload.
  * Bump standards-version to 4.6.2.
  * Fix compilation with recent dune

 -- Julien Puydt <jpuydt@debian.org>  Tue, 04 Jul 2023 09:51:49 +0200

ppx-deriving-yojson (3.7.0-1) unstable; urgency=medium

  * Fix d/watch.
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 14 Oct 2022 16:43:39 +0200

ppx-deriving-yojson (3.6.1-3) unstable; urgency=medium

  * Re-upload for a minor transition.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 14 Oct 2022 15:21:17 +0200

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,15 @@
 Uploaders: Ralf Treinen <treinen@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-ocaml,
- ocaml-nox,
+ dh-ocaml (>= 1.2),
+ ocaml,
  libfindlib-ocaml,
  cppo,
  ocaml-dune,
- ppxfind,
  libyojson-ocaml-dev,
- libounit-ocaml-dev,
- libppx-deriving-ocaml-dev (>= 4.5)
-Standards-Version: 4.5.0
+ libounit-ocaml-dev <!nocheck>,
+ libppx-deriving-ocaml-dev (>= 5.0)
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/whitequark/ppx_deriving_yojson
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ppx-deriving-yojson

## ppx-deriving-yojson 3.8.0

=== debian/changelog ===
ppx-deriving-yojson (3.8.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 04 Jun 2024 06:25:11 +0200

## ppx-deriving-yojson 3.9.0

=== debian/changelog ===
ppx-deriving-yojson (3.9.0-1build1) oracular; urgency=medium

  * No-change rebuild for OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 Sep 2024 13:36:31 +0200

ppx-deriving-yojson (3.9.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Tue, 20 Aug 2024 08:49:34 +0200

## ppx-deriving-yojson 3.9.1

=== debian/changelog ===
ppx-deriving-yojson (3.9.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 31 Dec 2024 17:54:17 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libyojson-ocaml-dev,
  libounit-ocaml-dev <!nocheck>,
  libppx-deriving-ocaml-dev (>= 5.0)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/whitequark/ppx_deriving_yojson
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ppx-deriving-yojson

## ppx-deriving-yojson 3.10.0

=== Makefile ===
build:
	dune build

test:
	dune runtest

doc:
	dune build @doc

clean:
	dune clean

.PHONY: build test doc clean

VERSION      := $$(opam query --version)
NAME_VERSION := $$(opam query --name-version)
ARCHIVE      := $$(opam query --archive)

release:
	git tag -a v$(VERSION) -m "Version $(VERSION)."
	git push origin v$(VERSION)
	opam publish prepare $(NAME_VERSION) $(ARCHIVE)
	opam publish submit $(NAME_VERSION)
	rm -rf $(NAME_VERSION)

.PHONY: release all-supported-ocaml-versions

all-supported-ocaml-versions:
	dune build @install @runtest --workspace dune-workspace.dev

=== debian/changelog ===
ppx-deriving-yojson (3.10.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.7.2

 -- Stéphane Glondu <glondu@debian.org>  Thu, 11 Sep 2025 04:55:36 +0200

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
  ocaml-dune,
  libyojson-ocaml-dev,
  libounit-ocaml-dev <!nocheck>,
- libppx-deriving-ocaml-dev (>= 5.0)
-Standards-Version: 4.7.0
+ libppx-deriving-ocaml-dev (>= 6.1)
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/whitequark/ppx_deriving_yojson
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ppx-deriving-yojson

=== debian/tests/control ===
Tests: expr
Depends: @, ocaml, libfindlib-ocaml, libyojson-ocaml-dev, ocamlbuild

=== debian/watch ===
version=4
https://github.com/ocaml-ppx/ppx_deriving_yojson/tags .*/v?([0-9.]+)\.tar\.gz
